package com.qmth.teachcloud.common.bean.dto.stmms;

import java.util.List;

public class GroupDetailDTO {
    //是 分组序号
    private Integer number;
    //否
    private List<PicConfig> picConfig;
    //是 双评比例 0关闭，1开启
    private Double doubleRate;
    //否 仲裁阈值 开启双评是必填
    private Double arbitrateThreshold;
    //否 合分策略 开启双评是必填 AVG("平均分", 1), MAX("最高分", 2), MIN("最低分", 3)
    private Integer scorePolicy;
    //否 允许全零分
    private Boolean enableAllZero;
    //否 评卷模式  COMMON("普通"), TRACK("轨迹")
    private String markMode;
    // 题目
    private List<QuestionBaseDTO> questions;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public List<PicConfig> getPicConfig() {
        return picConfig;
    }

    public void setPicConfig(List<PicConfig> picConfig) {
        this.picConfig = picConfig;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public Integer getScorePolicy() {
        return scorePolicy;
    }

    public void setScorePolicy(Integer scorePolicy) {
        this.scorePolicy = scorePolicy;
    }

    public Boolean getEnableAllZero() {
        return enableAllZero;
    }

    public void setEnableAllZero(Boolean enableAllZero) {
        this.enableAllZero = enableAllZero;
    }

    public String getMarkMode() {
        return markMode;
    }

    public void setMarkMode(String markMode) {
        this.markMode = markMode;
    }

    public List<QuestionBaseDTO> getQuestions() {
        return questions;
    }

    public void setQuestions(List<QuestionBaseDTO> questions) {
        this.questions = questions;
    }
}
